Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.sqwrl
Interface SQWRLResult

All Known Implementing Classes:
  ResultImpl

    public interface SQWRLResult

Interface that defines methods to process results from a SQWRL query. See here for documentation.

Method Summary
`ClassValue` | `getClassValue(int columnIndex)`
`ClassValue` | `getClassValue(String columnName)`
`List<ResultValue>` | `getColumn(int columnIndex)`
`List<ResultValue>` | `getColumn(String columnName)`
`String` | `getColumnName(int columnIndex)`
`List<String>` | `getColumnNames()`
`DatatypeValue` | `getDatatypeValue(int columnIndex)`
`DatatypeValue` | `getDatatypeValue(String columnName)`
`int` | `getNumberOfColumns()`
`int` | `getNumberOfRows()`
`ObjectValue` | `getObjectValue(int columnIndex)`
`ObjectValue` | `getObjectValue(String columnName)`
`PropertyValue` | `getPropertyValue(int columnIndex)`
`PropertyValue` | `getPropertyValue(String columnName)`
`List<ResultValue>` | `getRow()`
`ResultValue` | `getValue(int columnIndex)`
`ResultValue` | `getValue(int columnIndex, int rowIndex)`
`ResultValue` | `getValue(String columnName)`
`boolean` | `hasClassValue(int columnIndex)`
`boolean` | `hasClassValue(String columnName)`
`boolean` | `hasDatatypeValue(int columnIndex)`
`boolean` | `hasDatatypeValue(String columnName)`
`boolean` | `hasNext()`
`boolean` | `hasObjectValue(int columnIndex)`
`boolean` | `hasObjectValue(String columnName)`
`boolean` | `hasPropertyValue(int columnIndex)`
`boolean` | `hasPropertyValue(String columnName)`
`boolean` | `isEmpty()`
`void` | `next()`
`void` | `reset()`

Method Detail

### getColumnNames

    List<String> getColumnNames()
                                throws SQWRLException

  Throws:
    `SQWRLException`

### getNumberOfColumns

    int getNumberOfColumns()
                           throws SQWRLException

  Throws:
    `SQWRLException`

### getColumnName

    String getColumnName(int columnIndex)
                         throws SQWRLException

  Throws:
    `SQWRLException`

### isEmpty

    boolean isEmpty()
                    throws SQWRLException

  Throws:
    `SQWRLException`

### getNumberOfRows

    int getNumberOfRows()
                        throws SQWRLException

  Throws:
    `SQWRLException`

### reset

    void reset()
               throws SQWRLException

  Throws:
    `SQWRLException`

### next

    void next()
              throws SQWRLException

  Throws:
    `SQWRLException`

### hasNext

    boolean hasNext()
                    throws SQWRLException

  Throws:
    `SQWRLException`

### hasObjectValue

    boolean hasObjectValue(String columnName)
                           throws SQWRLException

  Throws:
    `SQWRLException`

### hasObjectValue

    boolean hasObjectValue(int columnIndex)
                           throws SQWRLException

  Throws:
    `SQWRLException`

### hasDatatypeValue

    boolean hasDatatypeValue(String columnName)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### hasDatatypeValue

    boolean hasDatatypeValue(int columnIndex)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### hasClassValue

    boolean hasClassValue(String columnName)
                          throws SQWRLException

  Throws:
    `SQWRLException`

### hasClassValue

    boolean hasClassValue(int columnIndex)
                          throws SQWRLException

  Throws:
    `SQWRLException`

### hasPropertyValue

    boolean hasPropertyValue(String columnName)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### hasPropertyValue

    boolean hasPropertyValue(int columnIndex)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### getRow

    List<ResultValue> getRow()
                             throws SQWRLException

  Throws:
    `SQWRLException`

### getValue

    ResultValue getValue(String columnName)
                         throws SQWRLException

  Throws:
    `SQWRLException`

### getValue

    ResultValue getValue(int columnIndex)
                         throws SQWRLException

  Throws:
    `SQWRLException`

### getValue

    ResultValue getValue(int columnIndex,
                         int rowIndex)
                         throws SQWRLException

  Throws:
    `SQWRLException`

### getObjectValue

    ObjectValue getObjectValue(String columnName)
                               throws SQWRLException

  Throws:
    `SQWRLException`

### getObjectValue

    ObjectValue getObjectValue(int columnIndex)
                               throws SQWRLException

  Throws:
    `SQWRLException`

### getDatatypeValue

    DatatypeValue getDatatypeValue(String columnName)
                                   throws SQWRLException

  Throws:
    `SQWRLException`

### getDatatypeValue

    DatatypeValue getDatatypeValue(int columnIndex)
                                   throws SQWRLException

  Throws:
    `SQWRLException`

### getClassValue

    ClassValue getClassValue(String columnName)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### getClassValue

    ClassValue getClassValue(int columnIndex)
                             throws SQWRLException

  Throws:
    `SQWRLException`

### getPropertyValue

    PropertyValue getPropertyValue(String columnName)
                                   throws SQWRLException

  Throws:
    `SQWRLException`

### getPropertyValue

    PropertyValue getPropertyValue(int columnIndex)
                                   throws SQWRLException

  Throws:
    `SQWRLException`

### getColumn

    List<ResultValue> getColumn(String columnName)
                                throws SQWRLException

  Throws:
    `SQWRLException`

### getColumn

    List<ResultValue> getColumn(int columnIndex)
                                throws SQWRLException

  Throws:
    `SQWRLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.